﻿@model PagedList<DomainModels.Entities.Support.Ticket>


@{
    ViewBag.Title = "تیکت های بسته";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Id)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().SenderId)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
					<td>
						@Html.DisplayFor(modelItem => item.Id)
					</td>
					<td>
                        <a style="color:#0438eb" href="/Admin/User/Detail/@item.SenderId">@item.Sender.FullName (@item.SenderId)</a>
					</td>
                    <td>
                        @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                    </td>
					<td>
						@Html.ActionLink("جزئیات", "Detail", new { id=item.Id }, new { @class="btn btn-primary" })
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("CloseTickets"))
			
	</div>
</div>


@section scripts{
    <script src="~/Content/admin/js/auto-refresh.js"></script>
}